Api referenceParticipantGroups
Get Segment Members
Authorization
apiKey X-API-Key<token>
API key for authentication
In: header
Path Parameters
groupId*string
Format
uuidQuery Parameters
page?integer
Default
1Range
1 <= value <= 9007199254740991limit?integer
Default
20Range
1 <= value <= 100Response Body
application/json
curl -X GET "https://samva.app/api/v1/participant-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
"participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",
"role": "member",
"joinedAt": "2019-08-24T14:15:22Z",
"joinedBy": "965bea35-d3ad-45be-8edb-3e49bc7890f2",
"expiresAt": "2019-08-24T14:15:22Z",
"participant": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"displayName": "string",
"type": "string",
"channelIdentities": [
{
"channel": "sms",
"identifier": "string",
"verified": true
}
]
}
}
],
"pagination": {
"page": -9007199254740991,
"limit": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991
}
}